The latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions

export
interface

  AddressNonces

### Hierarchy

- AddressNonces

## Index

### Properties

- detected_missing_nonces
- last_executed_tx_nonce
- last_mempool_tx_nonce
- possible_next_nonce

## Properties

### detected_missing_nonces

detected_missing_nonces: number[]

- Defined in src/generated/models/AddressNonces.ts:45

Nonces that appear to be missing and likely causing a mempool transaction to be stuck.

memberof

  AddressNonces

### last_executed_tx_nonce

last_executed_tx_nonce: number

- Defined in src/generated/models/AddressNonces.ts:33

The latest nonce found within transactions sent by this address, including unanchored microblock transactions. Will be null if there are no current transactions for this address.

memberof

  AddressNonces

### last_mempool_tx_nonce

last_mempool_tx_nonce: number

- Defined in src/generated/models/AddressNonces.ts:27

The latest nonce found within mempool transactions sent by this address. Will be null if there are no current mempool transactions for this address.

memberof

  AddressNonces

### possible_next_nonce

possible_next_nonce: number

- Defined in src/generated/models/AddressNonces.ts:39

The likely nonce required for creating the next transaction, based on the last nonces seen by the API. This can be incorrect if the API's mempool or transactions aren't fully synchronized, even by a small amount, or if a previous transaction is still propagating through the Stacks blockchain network when this endpoint is called.

memberof

  AddressNonces

Generated using TypeDoc